
%define name_orig 	cfl
%define name    	libcfl
%define version 	1.2.6
%define release 	%mkrel 1
%define lib_major 	0
%define lib_name_orig 	%{name}
%define lib_name 	%mklibname %{name_orig} %{lib_major}

Summary: C library that simplify system software development on System V UNIX
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Development/C
URL: http://www.hyperrealm.com/main.php?s=cfl
Source0: %{name}-%{version}.tar.bz2
Patch0: libcfl-1.2.6-buildfix.patch.bz2 
BuildRoot: %{_tmppath}/%{name}-%{release}-root

%description
CFL is a C library of useful functions that simplify systems software 
development on System V UNIX. The library includes routines for memory 
management, string parsing, filesystem traversal, subprocess execution, I/O, 
as well as implementations of common data structures such as linked lists, 
hash tables, stacks, and queues. The library also includes a high-level 
interface to Berkeley sockets, and an implementation of a scheduler which 
has functionality very similar to that of the cron daemon. 

%package -n     %{lib_name}
Summary:        Main library for cfl
Group:          Development/C

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with cfl.

%package -n     %{lib_name}-devel
Summary:        Headers for developing programs that will use libcfl
Group:          Development/C
Requires:       %{lib_name} 		= %{version}
Provides:       %{name}-devel	 	= %{version}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use libcfl. 

%prep
%setup -q
%patch0 -p0

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name_orig}.info
%_install_info %{name_orig}.info-2
%_install_info %{name_orig}.info-1

%postun -n %{lib_name}-devel
%_remove_install_info %{name_orig}.info
%_remove_install_info %{name_orig}.info-1
%_remove_install_info %{name_orig}.info-2

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc AUTHORS
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/cfl
%{_infodir}/*.bz2
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 1.2.6-1mdv2007.0
- 1.2.6

* Tue May 16 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.5-1mdk
- 1.2.5

* Sat Apr 15 2006 Couriousous <couriousous@mandriva.org> 1.2.4-1mdk
- 1.2.4

* Sun Jun 12 2005 Couriousous <couriousous@mandriva.org> 1.2.2-1mdk
- From trem@zarb.org
	- Initial build.
